import java.awt.Color;

/**
 * An interface for views of the simulation.
 * 
 * @author Poul Henriksen
 * @version 2005.03.15
 */
public interface SimulatorView
{
    /**
     * Define a color to be used for a given class of animal.
     */
	public void setColor(Class cl, Color color);
   
	/**
     * Determine whether the simulation should continue to run.
     * @return true If there is more than one species alive.
     */
	public boolean isViable(Field field);
	
    /**
     * Show the current status of the field.
     * @param step Which iteration step it is.
     * @param field The field whose status is to be displayed.
     */
	public void showStatus(int step, Field field);
}
